Register device fingerprint
curl --request POST \
--url https://api.txcloud.io/v1/fraud/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fingerprint": {},
"ip_address": "<string>",
"user_id": "<string>",
"session_id": "<string>"
}
'{
"id": "<string>",
"is_new": true,
"first_seen": "2023-11-07T05:31:56Z",
"times_seen": 123,
"risk_score": 123,
"risk_level": "<string>",
"signals": {},
"ip_analysis": {},
"linked_accounts": 123,
"is_blocked": true
}Devices
Register device fingerprint
POST
/
fraud
/
devices
Register device fingerprint
curl --request POST \
--url https://api.txcloud.io/v1/fraud/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fingerprint": {},
"ip_address": "<string>",
"user_id": "<string>",
"session_id": "<string>"
}
'{
"id": "<string>",
"is_new": true,
"first_seen": "2023-11-07T05:31:56Z",
"times_seen": 123,
"risk_score": 123,
"risk_level": "<string>",
"signals": {},
"ip_analysis": {},
"linked_accounts": 123,
"is_blocked": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I